#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	Yet another URL library
Summary(pl.UTF-8):	Yet another URL library - jeszcze jedna biblioteka do URL-i
Name:		python3-yarl
Version:	1.8.2
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/yarl/
Source0:	https://files.pythonhosted.org/packages/source/y/yarl/yarl-%{version}.tar.gz
# Source0-md5:	57c82725b9f4895eecee45faf5e61a54
URL:		https://pypi.org/project/yarl/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-idna >= 2.0
BuildRequires:	python3-multidict >= 4.0
BuildRequires:	python3-pytest >= 3.8.2
BuildRequires:	python3-pytest-cov
%if "%{py3_ver}" == "3.7"
BuildRequires:	python3-typing_extensions >= 3.7.4
%endif
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
%if %{with doc}
BuildRequires:	python3-alabaster
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yet another URL library.

%description -l pl.UTF-8
YARL (Yet another URL library) to jeszcze jedna biblioteka do URL-i.

%package apidocs
Summary:	API documentation for Python yarl module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona yarl
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python yarl module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona yarl.

%prep
%setup -q -n yarl-%{version}

%build
%py3_build

%if %{with tests}
# run from dir not containing yarl source dir without compiled yarl._quoting_c module)
cd tests
PYTHONPATH=$(echo $(pwd)/../build-3/lib.*) \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_cov.plugin" \
%{__python3} -m pytest
cd ..
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/yarl/_quoting_c.pyx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%dir %{py3_sitedir}/yarl
%attr(755,root,root) %{py3_sitedir}/yarl/_quoting_c.cpython-*.so
%{py3_sitedir}/yarl/*.py
%{py3_sitedir}/yarl/*.pyi
%{py3_sitedir}/yarl/py.typed
%{py3_sitedir}/yarl/__pycache__
%{py3_sitedir}/yarl-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Feb 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-yarl.git;a=log;h=master

* Tue Feb 28 2023 Jan Palus <atler@pld-linux.org> da3054e
- rpm version for noarch subpackage

* Tue Feb 28 2023 Jan Palus <atler@pld-linux.org> 32f665d
- up to 1.8.2

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> d338adf
- updated to 1.8.1

* Sun Apr 10 2022 Jan Rękorajski <baggins@pld-linux.org> ab02ea3
- Release 4 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d85c081
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f5fd74d
- rebuild with python 3.10

* Thu Nov 25 2021 Jan Rękorajski <baggins@pld-linux.org> 69ecdff
- up to 1.7.2

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 10115f2
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8462ccb
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 073d303
- release 2 (by relup.sh)

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> f737c3b
- new

